/*jshint browser:true */
/*global $ */(function()
{
 "use strict";
 /*
   hook up event handlers 
 */
 function register_event_handlers()
 {
    var mainView = myApp.addView('.view-main');
     
    var today = new Date();
    var dd = today.getDate();
    var mm = today.getMonth()+1; //January is 0!
    var yyyy = today.getFullYear();
    if(dd<10) {
        dd='0'+dd
    }
    if(mm<10) {
        mm='0'+mm
    } 

    today =yyyy+'-'+mm+'-'+dd;
    var beginningOfMonth =yyyy+'-'+mm+'-01';
    $("input[name='begin_date']").val(beginningOfMonth);
    $("input[name='end_date']").val(today);
     
    /* button  Search! */
    $(document).on("click", ".uib_w_3", function(evt)
    {
        //Get all inputs from user
        var q =$("input[name='q']").val();
        var begin_date =$("input[name='begin_date']").val();
        begin_date =begin_date.replace(/-/g,'');
        var end_date =$("input[name='end_date']").val();
        end_date =end_date.replace(/-/g,'');
        var apikey ='d4539cf0ff86477a9e8cbf566c157994';
        //create url according to NyTimes instructions
        var url ='http://api.nytimes.com/svc/search/v2/articlesearch.json?q='+ q +'&begin_date='+  begin_date + '&end_date='+ end_date +'&api-key='+ apikey;
        
        $.ajax({//AJAX request starts here
              type: 'GET',
              url: url,
              success: function(data){//if successful then get only the returned article's snippets and show them in a list
                  var showResults ='<div class="content-block-title">Search Results</div><div class="list-block"><ul>';
                  $.each(data.response.docs, function(index, element) {
                      var snippet =element.snippet;
                      showResults +='<li class="swipeout">'+
                                        '<div class="swipeout-content item-content">'+
                                            '<div class="item-media"><i class="icon icon-form-url"></i></div>'+
                                                '<div class="item-inner">'+
                                                    '<div class="item-title">'+ element.headline.main +'</div>'+
                                                '</div>'+
                                        '</div>'+
                                        '<div class="swipeout-actions-right"><a href="#" class="action1">Read</a></div>'+
                                    '</li>';
                  });
                  showResults +='</ul><a href="#" class="button button-big" id="back">Back</a></div>';
                  $('#showNewsItems').html(showResults);
                  mainView.router.load({pageName: 'newsItemsPage'});
              },
              error: function(xhr){console.log('ajax error'+ xhr.status + ' ' + xhr.statusText);},
              dataType: 'json'
            });
    });
     
    $$(document).on('click', "#back", function(){
        mainView.router.load({pageName: 'mainpage'});
    });
    
    }
 document.addEventListener("app.Ready", register_event_handlers, false);
})();
